<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CCrazyflieCameraEquippedEntity Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classargos_1_1CCrazyflieCameraEquippedEntity-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CCrazyflieCameraEquippedEntity Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="crazyflie__camera__equipped__entity_8h_source.html">src/plugins/robots/crazyflie/simulator/crazyflie_camera_equipped_entity.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for argos::CCrazyflieCameraEquippedEntity:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieCameraEquippedEntity__inherit__graph.png" border="0" usemap="#aargos_1_1CCrazyflieCameraEquippedEntity_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CCrazyflieCameraEquippedEntity_inherit__map" id="aargos_1_1CCrazyflieCameraEquippedEntity_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,229,121"/>
<area shape="rect" title=" " alt="" coords="84,5,151,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CCrazyflieCameraEquippedEntity:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieCameraEquippedEntity__coll__graph.png" border="0" usemap="#aargos_1_1CCrazyflieCameraEquippedEntity_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CCrazyflieCameraEquippedEntity_coll__map" id="aargos_1_1CCrazyflieCameraEquippedEntity_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,229,121"/>
<area shape="rect" title=" " alt="" coords="84,5,151,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa15be7def6a2f4b69a4c5f5151e4318e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa15be7def6a2f4b69a4c5f5151e4318e">ENABLE_VTABLE</a> ()</td></tr>
<tr class="separator:aa15be7def6a2f4b69a4c5f5151e4318e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07457da89c183fb15906e8f2680e63ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a07457da89c183fb15906e8f2680e63ba">CCrazyflieCameraEquippedEntity</a> (CComposableEntity *pc_parent)</td></tr>
<tr class="separator:a07457da89c183fb15906e8f2680e63ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999bc04fb71a84fe2848b79e986ce3c3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a999bc04fb71a84fe2848b79e986ce3c3">CCrazyflieCameraEquippedEntity</a> (CComposableEntity *pc_parent, const std::string &amp;str_id, const CRadians &amp;c_aperture, Real f_focal_length, Real f_range, SInt32 n_width, SInt32 n_height, SAnchor &amp;s_anchor)</td></tr>
<tr class="separator:a999bc04fb71a84fe2848b79e986ce3c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a687c3210f8d4f94917f1f5975bc80012"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a687c3210f8d4f94917f1f5975bc80012">Init</a> (TConfigurationNode &amp;t_tree)</td></tr>
<tr class="separator:a687c3210f8d4f94917f1f5975bc80012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1912bdd7a3fddec38ba8a5fba09e08f0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1912bdd7a3fddec38ba8a5fba09e08f0">Enable</a> ()</td></tr>
<tr class="separator:a1912bdd7a3fddec38ba8a5fba09e08f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7dc5b72749c181562aad9fb80ae773f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa7dc5b72749c181562aad9fb80ae773f">Disable</a> ()</td></tr>
<tr class="separator:aa7dc5b72749c181562aad9fb80ae773f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab11a8afe0309afdacb0c09f1e31cd9dc"><td class="memItemLeft" align="right" valign="top">const CRadians &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab11a8afe0309afdacb0c09f1e31cd9dc">GetAperture</a> () const</td></tr>
<tr class="separator:ab11a8afe0309afdacb0c09f1e31cd9dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add27b17b47e642c6df4c26b667413fb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#add27b17b47e642c6df4c26b667413fb6">SetAperture</a> (const CRadians &amp;c_aperture)</td></tr>
<tr class="separator:add27b17b47e642c6df4c26b667413fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a00755337160df0f101742e70be78a4"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a7a00755337160df0f101742e70be78a4">GetFocalLength</a> () const</td></tr>
<tr class="separator:a7a00755337160df0f101742e70be78a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab87c2e5d1189af138a7f0ab0a24349ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab87c2e5d1189af138a7f0ab0a24349ab">SetFocalLength</a> (Real f_focal_length)</td></tr>
<tr class="separator:ab87c2e5d1189af138a7f0ab0a24349ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af54bcf2a6770e7488ce7a0c39649758a"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#af54bcf2a6770e7488ce7a0c39649758a">GetRange</a> () const</td></tr>
<tr class="separator:af54bcf2a6770e7488ce7a0c39649758a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a488231da54a0b26ce44bebaca774fbbb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a488231da54a0b26ce44bebaca774fbbb">SetRange</a> (Real f_range)</td></tr>
<tr class="separator:a488231da54a0b26ce44bebaca774fbbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa888566686500edbd680d08b0264005a"><td class="memItemLeft" align="right" valign="top">const CVector3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa888566686500edbd680d08b0264005a">GetPosition</a> () const</td></tr>
<tr class="separator:aa888566686500edbd680d08b0264005a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f3de51cd18347d1951b6e22b94c81ae"><td class="memItemLeft" align="right" valign="top">const CQuaternion&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a8f3de51cd18347d1951b6e22b94c81ae">GetOrientation</a> () const</td></tr>
<tr class="separator:a8f3de51cd18347d1951b6e22b94c81ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cee63a1ac73000c0c9641111c981194"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a0cee63a1ac73000c0c9641111c981194">SetAnchor</a> (SAnchor &amp;s_anchor)</td></tr>
<tr class="separator:a0cee63a1ac73000c0c9641111c981194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b2d0513e8e06f71a2085c263a91c07e"><td class="memItemLeft" align="right" valign="top">SInt32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a4b2d0513e8e06f71a2085c263a91c07e">GetImagePxWidth</a> () const</td></tr>
<tr class="separator:a4b2d0513e8e06f71a2085c263a91c07e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdf4990998aa396a4a0b106d92dbfec1"><td class="memItemLeft" align="right" valign="top">SInt32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#acdf4990998aa396a4a0b106d92dbfec1">GetImagePxHeight</a> () const</td></tr>
<tr class="separator:acdf4990998aa396a4a0b106d92dbfec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dd65f15a0fa8f3eb343898a623e5de6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2dd65f15a0fa8f3eb343898a623e5de6">SetImagePxSize</a> (SInt32 n_width, SInt32 n_height)</td></tr>
<tr class="separator:a2dd65f15a0fa8f3eb343898a623e5de6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e629de7e9c223c4f73243f9db54b269"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1e629de7e9c223c4f73243f9db54b269">GetImageMtWidth</a> () const</td></tr>
<tr class="separator:a1e629de7e9c223c4f73243f9db54b269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a18de864a583fe5b3953b1df60b85de"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2a18de864a583fe5b3953b1df60b85de">GetImageMtHeight</a> () const</td></tr>
<tr class="separator:a2a18de864a583fe5b3953b1df60b85de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3095f50ccb95c574d0f1472db7d0364d"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a3095f50ccb95c574d0f1472db7d0364d">GetTypeDescription</a> () const</td></tr>
<tr class="separator:a3095f50ccb95c574d0f1472db7d0364d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a07457da89c183fb15906e8f2680e63ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07457da89c183fb15906e8f2680e63ba">&#9670;&nbsp;</a></span>CCrazyflieCameraEquippedEntity() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieCameraEquippedEntity::CCrazyflieCameraEquippedEntity </td>
          <td>(</td>
          <td class="paramtype">CComposableEntity *&#160;</td>
          <td class="paramname"><em>pc_parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Class constructor. This constructor is meant to be used with the <a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a687c3210f8d4f94917f1f5975bc80012">Init()</a> method. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pc_parent</td><td>The parent of this entity. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a999bc04fb71a84fe2848b79e986ce3c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a999bc04fb71a84fe2848b79e986ce3c3">&#9670;&nbsp;</a></span>CCrazyflieCameraEquippedEntity() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieCameraEquippedEntity::CCrazyflieCameraEquippedEntity </td>
          <td>(</td>
          <td class="paramtype">CComposableEntity *&#160;</td>
          <td class="paramname"><em>pc_parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const CRadians &amp;&#160;</td>
          <td class="paramname"><em>c_aperture</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_focal_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SInt32&#160;</td>
          <td class="paramname"><em>n_width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SInt32&#160;</td>
          <td class="paramname"><em>n_height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SAnchor &amp;&#160;</td>
          <td class="paramname"><em>s_anchor</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Class constructor. This constructor is meant to be standalone. You should not call <a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a687c3210f8d4f94917f1f5975bc80012">Init()</a> after using this constructor, or memory leaks are likely to happen. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pc_parent</td><td>The parent of this entity. </td></tr>
    <tr><td class="paramname">str_id</td><td>The id of this entity. </td></tr>
    <tr><td class="paramname">c_aperture</td><td>The aperture of the visibility cone. </td></tr>
    <tr><td class="paramname">f_focal_length</td><td>The camera focal length. </td></tr>
    <tr><td class="paramname">f_range</td><td>The camera range. </td></tr>
    <tr><td class="paramname">n_width</td><td>The image width in pixels. </td></tr>
    <tr><td class="paramname">n_height</td><td>The image height in pixels. </td></tr>
    <tr><td class="paramname">s_anchor</td><td>The anchor to which the camera is attached. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa7dc5b72749c181562aad9fb80ae773f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7dc5b72749c181562aad9fb80ae773f">&#9670;&nbsp;</a></span>Disable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::Disable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1912bdd7a3fddec38ba8a5fba09e08f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1912bdd7a3fddec38ba8a5fba09e08f0">&#9670;&nbsp;</a></span>Enable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::Enable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa15be7def6a2f4b69a4c5f5151e4318e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa15be7def6a2f4b69a4c5f5151e4318e">&#9670;&nbsp;</a></span>ENABLE_VTABLE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieCameraEquippedEntity::ENABLE_VTABLE </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab11a8afe0309afdacb0c09f1e31cd9dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab11a8afe0309afdacb0c09f1e31cd9dc">&#9670;&nbsp;</a></span>GetAperture()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const CRadians&amp; argos::CCrazyflieCameraEquippedEntity::GetAperture </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the aperture of the visibility cone of the camera. </p><dl class="section return"><dt>Returns</dt><dd>The aperture of the visibility cone of the camera. </dd></dl>

</div>
</div>
<a id="a7a00755337160df0f101742e70be78a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a00755337160df0f101742e70be78a4">&#9670;&nbsp;</a></span>GetFocalLength()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieCameraEquippedEntity::GetFocalLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the focal length of the camera. </p><dl class="section return"><dt>Returns</dt><dd>The focal length of the camera. </dd></dl>

</div>
</div>
<a id="a2a18de864a583fe5b3953b1df60b85de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a18de864a583fe5b3953b1df60b85de">&#9670;&nbsp;</a></span>GetImageMtHeight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieCameraEquippedEntity::GetImageMtHeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the image height in meters. </p><dl class="section return"><dt>Returns</dt><dd>The image height in meters. </dd></dl>

</div>
</div>
<a id="a1e629de7e9c223c4f73243f9db54b269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e629de7e9c223c4f73243f9db54b269">&#9670;&nbsp;</a></span>GetImageMtWidth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieCameraEquippedEntity::GetImageMtWidth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the image width in meters. </p><dl class="section return"><dt>Returns</dt><dd>The image width in meters. </dd></dl>

</div>
</div>
<a id="acdf4990998aa396a4a0b106d92dbfec1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdf4990998aa396a4a0b106d92dbfec1">&#9670;&nbsp;</a></span>GetImagePxHeight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SInt32 argos::CCrazyflieCameraEquippedEntity::GetImagePxHeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the image height in pixel. </p><dl class="section return"><dt>Returns</dt><dd>The image height in pixel. </dd></dl>

</div>
</div>
<a id="a4b2d0513e8e06f71a2085c263a91c07e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b2d0513e8e06f71a2085c263a91c07e">&#9670;&nbsp;</a></span>GetImagePxWidth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SInt32 argos::CCrazyflieCameraEquippedEntity::GetImagePxWidth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the image width in pixel. </p><dl class="section return"><dt>Returns</dt><dd>The image width in pixel. </dd></dl>

</div>
</div>
<a id="a8f3de51cd18347d1951b6e22b94c81ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f3de51cd18347d1951b6e22b94c81ae">&#9670;&nbsp;</a></span>GetOrientation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const CQuaternion argos::CCrazyflieCameraEquippedEntity::GetOrientation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa888566686500edbd680d08b0264005a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa888566686500edbd680d08b0264005a">&#9670;&nbsp;</a></span>GetPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const CVector3 argos::CCrazyflieCameraEquippedEntity::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the offset of the camera with respect to the reference point. </p><dl class="section return"><dt>Returns</dt><dd>The offset of the camera with respect to the reference point. </dd></dl>

</div>
</div>
<a id="af54bcf2a6770e7488ce7a0c39649758a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af54bcf2a6770e7488ce7a0c39649758a">&#9670;&nbsp;</a></span>GetRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieCameraEquippedEntity::GetRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the range of the camera. </p><dl class="section return"><dt>Returns</dt><dd>The range of the camera. </dd></dl>

</div>
</div>
<a id="a3095f50ccb95c574d0f1472db7d0364d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3095f50ccb95c574d0f1472db7d0364d">&#9670;&nbsp;</a></span>GetTypeDescription()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string argos::CCrazyflieCameraEquippedEntity::GetTypeDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a687c3210f8d4f94917f1f5975bc80012"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a687c3210f8d4f94917f1f5975bc80012">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::Init </td>
          <td>(</td>
          <td class="paramtype">TConfigurationNode &amp;&#160;</td>
          <td class="paramname"><em>t_tree</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initializes the state of the entity from the XML configuration tree. </p><dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">CARGoSException</td><td>if a parse error occurs </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0cee63a1ac73000c0c9641111c981194"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cee63a1ac73000c0c9641111c981194">&#9670;&nbsp;</a></span>SetAnchor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::SetAnchor </td>
          <td>(</td>
          <td class="paramtype">SAnchor &amp;&#160;</td>
          <td class="paramname"><em>s_anchor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the anchor to which the camera is attached. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">s_anchor</td><td>anchor to which the camera is attached. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="add27b17b47e642c6df4c26b667413fb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add27b17b47e642c6df4c26b667413fb6">&#9670;&nbsp;</a></span>SetAperture()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::SetAperture </td>
          <td>(</td>
          <td class="paramtype">const CRadians &amp;&#160;</td>
          <td class="paramname"><em>c_aperture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the aperture of the visibility cone of the camera. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">c_aperture</td><td>The aperture of the visibility cone of the camera. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab87c2e5d1189af138a7f0ab0a24349ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab87c2e5d1189af138a7f0ab0a24349ab">&#9670;&nbsp;</a></span>SetFocalLength()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::SetFocalLength </td>
          <td>(</td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_focal_length</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the focal length of the camera. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_focal_length</td><td>The focal length of the camera. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2dd65f15a0fa8f3eb343898a623e5de6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dd65f15a0fa8f3eb343898a623e5de6">&#9670;&nbsp;</a></span>SetImagePxSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::SetImagePxSize </td>
          <td>(</td>
          <td class="paramtype">SInt32&#160;</td>
          <td class="paramname"><em>n_width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SInt32&#160;</td>
          <td class="paramname"><em>n_height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the image size in pixel. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">n_width</td><td>The image width in pixel. </td></tr>
    <tr><td class="paramname">n_height</td><td>The image height in pixel. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a488231da54a0b26ce44bebaca774fbbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a488231da54a0b26ce44bebaca774fbbb">&#9670;&nbsp;</a></span>SetRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieCameraEquippedEntity::SetRange </td>
          <td>(</td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_range</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the range of the camera. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_range</td><td>The range of the camera. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__camera__equipped__entity_8h_source.html">crazyflie_camera_equipped_entity.h</a></li>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__camera__equipped__entity_8cpp.html">crazyflie_camera_equipped_entity.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
